Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class BaseEnumEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--oracle.jbo.server.rules.BaseEnumEditor

Direct Known Subclasses:
  CompareTypeEditor

public abstract class BaseEnumEditor
extends java.beans.PropertyEditorSupport

A base for classes that support GUIs for editing lists of symbols.

Since:
  Jdeveloper 3.0

Constructor Summary
`BaseEnumEditor()`

Method Summary
`java.lang.String` | `getAsText()` Generates a string representing this editor's values.
`java.awt.Component` | `getCustomEditor()` Creates and returns the component that actually modifies this editor's values.
`protected abstract java.lang.String` | `getEnumName()`
`java.lang.String` | `getJavaInitializationString()` Generates a Java code string representing a constructor for this editor's values.
`abstract java.lang.String[]` | `getTags()` Constructs an array of value tags from the enumerated symbols.
`boolean` | `isPaintable()` Reports whether the editor component has been initialized.
`void` | `paintValue(java.awt.Graphics gfx, java.awt.Rectangle box)` Displays a value in this editor.
`void` | `setAsText(java.lang.String txt)` Sets this editor's values from a text string.
`void` | `setValue(java.lang.Object o)` Sets the values to be edited.
`boolean` | `supportsCustomEditor()` Reports that this editor's values may be modified by an editor component.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getValue, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseEnumEditor

    public BaseEnumEditor()

Method Detail

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Generates a Java code string representing a constructor for this editor's values.

  Overrides:
    getJavaInitializationString in class java.beans.PropertyEditorSupport
  Returns:
    a fragment of Java code.

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Creates and returns the component that actually modifies this editor's values.

  If the component does not exist it is created.

  Overrides:
    getCustomEditor in class java.beans.PropertyEditorSupport
  Returns:
    this editor's editor component.

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Reports that this editor's values may be modified by an editor component.

  Overrides:
    supportsCustomEditor in class java.beans.PropertyEditorSupport
  Returns:
    `true`.

### isPaintable

    public boolean isPaintable()

  Reports whether the editor component has been initialized.

  Overrides:
    isPaintable in class java.beans.PropertyEditorSupport
  Returns:
    `true` if the editor component has been initialized.
  See Also:
    `getCustomEditor()`

### paintValue

    public void paintValue(java.awt.Graphics gfx,
                           java.awt.Rectangle box)

  Displays a value in this editor.
  Overrides:
    paintValue in class java.beans.PropertyEditorSupport
  Parameters:
    `gfx` - a graphics context for a value.
    `box` - ignored.

### setValue

    public void setValue(java.lang.Object o)

  Sets the values to be edited.

  Overrides:
    setValue in class java.beans.PropertyEditorSupport
  Parameters:
    `o` - the values, in a form that casts to `Vector`.

### setAsText

    public void setAsText(java.lang.String txt)

  Sets this editor's values from a text string.

  Overrides:
    setAsText in class java.beans.PropertyEditorSupport
  Parameters:
    `txt` - a string in a form generated by `getAsText`.
  Throws:
    java.lang.IllegalArgumentException - if the string is invalid.
  See Also:
    `BaseEnumEditor#gsetAsText`

### getAsText

    public java.lang.String getAsText()

  Generates a string representing this editor's values.

  Overrides:
    getAsText in class java.beans.PropertyEditorSupport
  Returns:
    a string in a form acceptable to `setAsText`.
  See Also:
    `setAsText(java.lang.String)`

### getTags

    public abstract java.lang.String[] getTags()

  Constructs an array of value tags from the enumerated symbols.

  Overrides:
    getTags in class java.beans.PropertyEditorSupport
  Returns:
    the array of value tags.

### getEnumName

    protected abstract java.lang.String getEnumName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD